unit Carte_fond;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, jpeg, ExtCtrls, Menus;

type
  TMap_Khanerat = class(TForm)
    ImageFond: TImage;
    Conon1: TImage;
    Conon2: TImage;
    Conon3: TImage;
    Conon4: TImage;
    Alambic: TImage;
    CononBleu1: TImage;
    CononBleu2: TImage;
    CononBleu3: TImage;
    CononBleu4: TImage;
    CononRouge1: TImage;
    CononRouge2: TImage;
    CononRouge3: TImage;
    CononRouge4: TImage;
    AlambicBleu: TImage;
    AlambicRouge: TImage;
    Maison1: TImage;
    Maison2: TImage;
    Maison3: TImage;
    Maison4: TImage;
    Maison5: TImage;
    Maison6: TImage;
    Maison7: TImage;
    Maison8: TImage;
    Maison9: TImage;
    Maison10: TImage;
    MaisonBleu1: TImage;
    MaisonBleu2: TImage;
    MaisonBleu3: TImage;
    MaisonBleu4: TImage;
    MaisonBleu5: TImage;
    MaisonBleu6: TImage;
    MaisonBleu7: TImage;
    MaisonBleu8: TImage;
    MaisonBleu9: TImage;
    MaisonBleu10: TImage;
    MaisonRouge1: TImage;
    MaisonRouge2: TImage;
    MaisonRouge3: TImage;
    MaisonRouge4: TImage;
    MaisonRouge5: TImage;
    MaisonRouge6: TImage;
    MaisonRouge7: TImage;
    MaisonRouge8: TImage;
    MaisonRouge9: TImage;
    MaisonRouge10: TImage;
    Chateau: TImage;
    ChateauBleu: TImage;
    ChateauRouge: TImage;
    Mine1: TImage;
    Mine2: TImage;
    MineBleu1: TImage;
    MineBleu2: TImage;
    MineRouge1: TImage;
    MineRouge2: TImage;
    Chantier1: TImage;
    Chantier2: TImage;
    ChantierBleu1: TImage;
    ChantierBleu2: TImage;
    ChantierRouge1: TImage;
    ChantierRouge2: TImage;
    Eglise1: TImage;
    Eglise2: TImage;
    EgliseBleu2: TImage;
    EgliseBleu1: TImage;
    EgliseRouge2: TImage;
    EgliseRouge1: TImage;
    Taverne1: TImage;
    Taverne2: TImage;
    TaverneBleu1: TImage;
    TaverneBleu2: TImage;
    TaverneRouge1: TImage;
    TaverneRouge2: TImage;
    Caserne: TImage;
    CaserneBleu: TImage;
    CaserneRouge: TImage;
    Labo: TImage;
    LaboBleu: TImage;
    LaboRouge: TImage;
    Distillerie: TImage;
    DistillerieBleu: TImage;
    DistillerieRouge: TImage;
    procedure FormCreate (Sender: Tobject);
    procedure Conon1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure ImageFondMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure AlambicMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure CaserneMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Chantier1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Chantier2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure ChateauMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Conon2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Conon3MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Conon4MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure DistillerieMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Eglise1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Eglise2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure LaboMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Maison1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Maison2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Maison3MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Maison4MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Maison5MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Maison6MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Maison7MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Maison8MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure z(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Mine1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Taverne1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Taverne2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Mine2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Maison10MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { Déclarations privées }
  public
    { Déclarations publiques }
  end;

var
  Map_Khanerat: TMap_Khanerat;
  AlambicC, CaserneC, Chantier1C, Chantier2C, ChateauC, Conon1C, Conon2C,
  Conon3C, Conon4C, DistillerieC, Eglise1C, Eglise2C, LaboC, Maison1C,
  Maison10C, Maison2C, Maison3C, Maison4C, Maison5C, Maison6C, Maison7C,
  Maison8C, Maison9C, Mine1C, Mine2C, Taverne1C, Taverne2C   : string ;

implementation

{$R *.dfm}

procedure TMap_Khanerat.FormCreate (Sender: Tobject);
begin
  AlambicC        := 'rouge';
  CaserneC        := 'Bleu';
  Chantier1C      := 'rouge';
  Chantier2C      := 'Bleu';
  ChateauC        := 'rouge';
  Conon1C         := 'rouge';
  Conon2C         := 'Bleu';
  Conon3C         := 'Bleu';
  Conon4C         := 'rouge';
  DistillerieC    := 'Bleu';
  Eglise1C        := 'Bleu';
  Eglise2C        := 'rouge';
  LaboC           := 'rouge';
  Maison1C        := 'rouge';
  Maison10C       := 'Bleu';
  Maison2C        := 'rouge';
  Maison3C        := 'rouge';
  Maison4C        := 'Bleu';
  Maison5C        := 'Bleu';
  Maison6C        := 'Bleu';
  Maison7C        := 'rouge';
  Maison8C        := 'rouge';
  Maison9C        := 'rouge';
  Mine1C          := 'rouge';
  Mine2C          := 'Bleu';
  Taverne1C       := 'Bleu';
  Taverne2C       := 'Bleu';
end;

procedure TMap_Khanerat.Conon1MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If Conon1C = 'Bleu' then
    CononBleu1.Visible  := True
  else
    CononRouge1.Visible := True
end;


procedure TMap_Khanerat.ImageFondMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  CononBleu1.Visible := false;
  CononBleu2.Visible := false;
  CononBleu3.Visible := false;
  CononBleu4.Visible := false;
  AlambicBleu.Visible := false;
  AlambicRouge.Visible := false;
  CaserneBleu.Visible := false;
  CaserneRouge.Visible := false;
  ChantierBleu1.Visible := false;
  CHantierBleu2.Visible := false;
  ChantierRouge1.Visible := false;
  ChantierRouge2.Visible := false;
  ChateauRouge.Visible := false;
  ChateauBleu.Visible := false;
  CononRouge1.Visible := false;
  CononRouge2.Visible := false;
  CononRouge3.Visible := false;
  CononRouge4.Visible := false;
  DistillerieBleu.Visible := false;
  DistillerieRouge.Visible := false;
  EgliseBleu1.Visible := false;
  EgliseBleu2.Visible := false;
  EgliseRouge1.Visible := false;
  EgliseRouge2.Visible := false;
  LaboRouge.Visible := false;
  LaboBleu.Visible := false;
  MaisonRouge1.Visible := false;
  MaisonBleu1.Visible := false;
  MaisonRouge2.Visible := false;
  MaisonBleu2.Visible := false;
  MaisonBleu3.Visible := false;
  MaisonRouge3.Visible := false;
  MaisonBleu4.Visible := false;
  MaisonRouge4.Visible := false;
  MaisonBleu5.Visible := false;
  MaisonRouge5.Visible := false;
  MaisonBleu6.Visible := false;
  MaisonRouge6.Visible := false;
  MaisonBleu7.Visible := false;
  MaisonRouge7.Visible := false;
  MaisonBleu8.Visible := false;
  MaisonRouge8.Visible := false;
  MaisonBleu9.Visible := false;
  MaisonRouge9.Visible := false;
  MaisonBleu10.Visible := false;
  MaisonRouge10.Visible := false;
  MineBleu1.Visible := false;
  MineRouge1.Visible := false;
  MineBleu2.Visible := false;
  MineRouge2.Visible := false;
  TaverneBleu1.Visible := false;
  TaverneRouge1.Visible := false;
  TaverneBleu2.Visible := false;
  TaverneRouge2.Visible := false;

end;

procedure TMap_Khanerat.AlambicMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If  AlambicC = 'Bleu'  then
    AlambicBleu.Visible  := True
  else
    AlambicRouge.Visible := True
end;

procedure TMap_Khanerat.CaserneMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If CaserneC = 'Bleu' then
    CaserneBleu.Visible  := True
  else
    CaserneRouge.Visible := True
end;

procedure TMap_Khanerat.Chantier1MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If  Chantier1C = 'Bleu'  then
    ChantierBleu1.Visible  := True
  else
    ChantierRouge1.Visible := True
end;

procedure TMap_Khanerat.Chantier2MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If  Chantier2C = 'Bleu'  then
    ChantierBleu2.Visible  := True
  else
    ChantierRouge2.Visible := True
end;

procedure TMap_Khanerat.ChateauMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If  ChateauC = 'Bleu'  then
    ChateauBleu.Visible  := True
  else
    ChateauRouge.Visible := True ;
end;

procedure TMap_Khanerat.Conon2MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If Conon2C = 'Bleu' then
    CononBleu2.Visible  := True
  else
    CononRouge2.Visible := True
end;

procedure TMap_Khanerat.Conon3MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If Conon3C = 'Bleu' then
    CononBleu3.Visible  := True
  else
    CononRouge3.Visible := True
end;

procedure TMap_Khanerat.Conon4MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If Conon4C = 'Bleu' then
    CononBleu4.Visible  := True
  else
    CononRouge4.Visible := True
end;

procedure TMap_Khanerat.DistillerieMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If DistillerieC = 'Bleu' then
    DistillerieBleu.Visible  := True
  else
    DistillerieRouge.Visible := True
end;

procedure TMap_Khanerat.Eglise1MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If Eglise1C = 'Bleu' then
    EgliseBleu1.Visible  := True
  else
    EgliseRouge1.Visible := True
end;

procedure TMap_Khanerat.Eglise2MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If Eglise2C = 'Bleu' then
    EgliseBleu2.Visible  := True
  else
    EgliseRouge2.Visible := True
end;

procedure TMap_Khanerat.LaboMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
  If LaboC = 'Bleu' then
    LaboBleu.Visible  := True
  else
    LaboRouge.Visible := True
end;

procedure TMap_Khanerat.Maison1MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If Maison1C = 'Bleu' then
    MaisonBleu1.Visible  := True
  else
    MaisonRouge1.Visible := True
end;



procedure TMap_Khanerat.Maison2MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If Maison2C = 'Bleu' then
    MaisonBleu2.Visible  := True
  else
    MaisonRouge2.Visible := True
end;

procedure TMap_Khanerat.Maison3MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If Maison3C = 'Bleu' then
    MaisonBleu3.Visible  := True
  else
    MaisonRouge3.Visible := True
end;

procedure TMap_Khanerat.Maison4MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If Maison4C = 'Bleu' then
    MaisonBleu4.Visible  := True
  else
    MaisonRouge4.Visible := True
end;

procedure TMap_Khanerat.Maison5MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If Maison5C = 'Bleu' then
    MaisonBleu5.Visible  := True
  else
    MaisonRouge5.Visible := True
end;

procedure TMap_Khanerat.Maison6MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If Maison6C = 'Bleu' then
    MaisonBleu6.Visible  := True
  else
    MaisonRouge6.Visible := True
end;

procedure TMap_Khanerat.Maison7MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If Maison7C = 'Bleu' then
    MaisonBleu7.Visible  := True
  else
    MaisonRouge7.Visible := True
end;

procedure TMap_Khanerat.Maison8MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If Maison8C = 'Bleu' then
    MaisonBleu8.Visible  := True
  else
    MaisonRouge8.Visible := True
end;

procedure TMap_Khanerat.z(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If Maison9C = 'Bleu' then
    MaisonBleu9.Visible  := True
  else
    MaisonRouge9.Visible := True
end;

procedure TMap_Khanerat.Mine1MouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
  If Mine1C = 'Bleu' then
    MineBleu1.Visible  := True
  else
    MineRouge1.Visible := True
end;

procedure TMap_Khanerat.Taverne1MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If Taverne1C = 'Bleu' then
    TaverneBleu1.Visible  := True
  else
    TaverneRouge1.Visible := True
end;

procedure TMap_Khanerat.Taverne2MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If Taverne2C = 'Bleu' then
    TaverneBleu2.Visible  := True
  else
    TaverneRouge2.Visible := True
end;

procedure TMap_Khanerat.Mine2MouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
  If Mine2C = 'Bleu' then
    MineBleu2.Visible  := True
  else
    MineRouge2.Visible := True
end;

procedure TMap_Khanerat.Maison10MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  If Maison10C = 'Bleu' then
    MaisonBleu10.Visible  := True
  else
    MaisonRouge10.Visible := True
end;

end.
